Subject: bug#2096: 23.0.60; po-mode duplicates header

From: Sven Joachim <[email-masked]>
Date: Wed, 28 Jan 2009 19:12:23 +0100

Am 28.01.2009 um 18:35 schrieb Torsten Bronger:

> Sven Joachim writes:
>
>> This is a bug in po-mode.el which is part of gettext, not Emacs.  It is
>> already fixed in gettext CVS since yours truly had reported it some time
>> ago, see
>> http://lists.gnu.org/archive/html/bug-gnu-utils/2008-08/msg00006.html.
>
> This is true for the header duplication, however, the *silent*
> modification of the po file in the background (i.e., without
> explicitly reverting or opening the file) happens in CVS Emacs since
> two weeks ago or so.

What do you mean with that?  IIRC, just visiting a po file (more
exactly, switching to po-mode) runs po-check-file-header and modifies
the buffer by inserting the double header.  This has been true for a
long time.

Sven